<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="a705c848bc3cec1d">
        <source>Configuration Preprocessor Definitions</source>
        <target state="translated">配置预处理宏定义</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c40700631429119f">
        <source>A number of configuration preprocessor definitions can be used to change the behavior of Beast. The user should assume that they introduce significant changes to the public part of this library's API and make sure that all translation units (usually files) compiled and linked into a program use the same combination of configuration macros, failure to do so may result in violations of ODR (One Definition Rule).</source>
        <target state="translated">Beast 提供多个配置预处理宏，用于调整库的行为。这些宏会显著影响本库的公共 API。用户需确保所有参与编译和链接的翻译单元（通常是源文件）都使用同一套配置宏组合，否则可能违反 ODR（单一定义规则）。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="92c0dc5eb42e8e27">
        <source>Special Fields</source>
        <target state="translated">特殊字段</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f1424605c43ce213">
        <source>Definition</source>
        <target state="translated">定义</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484">
        <source>Description</source>
        <target state="translated">描述</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d2887a97102cc4d">
        <source>BOOST_BEAST_SEPARATE_COMPILATION</source>
        <target state="translated">BOOST_BEAST_SEPARATE_COMPILATION —— 启用分离编译模式</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ac2b3e392fdb56d">
        <source>Enables the split compilation mode, which allows the user to compile definitions of non-template entities in a single translation unit, thus improving compilation speed. That translation unit has to include boost/beast/src.hpp in order to compile the definitions.</source>
        <target state="translated">启用分离编译模式。该模式下，用户可以将非模板实体的定义集中编译到单个翻译单元中，以提升编译速度。该翻译单元需包含 `boost/beast/src.hpp` 方可完成定义编译。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fd9008340d21b337">
        <source>BOOST_BEAST_ALLOW_DEPRECATED</source>
        <target state="translated">BOOST_BEAST_ALLOW_DEPRECATED</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6380f7df534ff235">
        <source>Enables the use of deprecated APIs within Beast.</source>
        <target state="translated">启用 Beast 内部已弃用 API 的使用。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3feb77810a1b64c6">
        <source>BOOST_BEAST_FILE_BUFFER_SIZE</source>
        <target state="translated">BOOST_BEAST_FILE_BUFFER_SIZE</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1b36301bdb933f43">
        <source>Sets the small buffer size for the file_body. Defaults to 4096.</source>
        <target state="translated">设置 `file_body` 的小缓冲区大小，默认值设为 4096。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
    </body>
  </file>
</xliff>
